Updates the article status list with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

article_status_list
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
article_status_id

Foreign key of the article_status

globally unique identifier

Required

article_id

Foreign key of article

globally unique identifier

Optionally required : article_id, article_code or article must be provided

article_code

Embedded entity "article" using ERP PK when adding/updating

string

Optionally required : article_id, article_code or article must be provided

article

Embedded entity "article" when adding/updating

article

Optionally required : article_id, article_code or article must be provided

sales_organization_id

globally unique identifier

Required

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "127142f1-d135-4607-83d7-b19992f6b49d",
  "article_status_id": "a2dd2853-2d8b-4cfd-b0ef-4f2a39ee1f38",
  "article_id": "f8c8b558-7f4b-4348-a97f-7ad75c39fc29",
  "article_code": "sample string 4",
  "sales_organization_id": "c44b64de-ef42-454d-aeca-e26e03a6d0c6",
  "modified_dateutc": "2026-10-17T15:46:54.2752879+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.